// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: WQuitUtterance.java,v 1.4 2003/03/06 00:40:47 moltmans Exp $
// WRunUtterance.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Maintainer: Michael Oltmans <moltmans@ai.mit.edu> 
// Copyright: Copyright (C) 1999 by Michael Oltmans 
// Created: <Wed Aug  4 12:27:04 1999> 
// Time-stamp: <1999-09-03 14:51:27 calvarad> 
// Keywords: 
package rec.core.speech;

import rec.sys.*;
import rec.util.*;

public class WQuitUtterance extends Widget
{
  public WQuitUtterance( ) 
  {
  }
  
  public void makeDefaultSuitcase( Surface s )
  {
    DoTransition dt = new DoTransition(s) {
      public void doDo( )
      {
	Console.writeln( "Quitting the sim" );
	System.exit(0);
      }

      public void doUndo( )
      {
      }

      public String getAction( )
      {
	return "quit the rec system";
      }
    };

    addToSuitcase( dt );
  }
}

    
	
	
   
